<DebuggerStepThrough()>
Public Class frmAguarde

#Region "Propriedades"

    Private Sub frmAguarde_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        Try

            If Me.Owner Is Nothing Then

            Else
                CenterFormByOwner(Me, Me.Owner)
                Me.Owner.Enabled = False
            End If

            ' Mede a string e ajusta o form
            Dim TextSize As SizeF = Me.CreateGraphics.MeasureString(Me.lbMensagem.Text, Me.lbMensagem.Font)

            If TextSize.Width + 50 > 500 Then
                Me.Width = TextSize.Width + 50
            End If

            Me.Refresh()

        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub frmAguarde_Activated(sender As Object, e As System.EventArgs) Handles Me.Activated

        Try

            Me.Refresh()
        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub frmAguarde_FormClosed(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed

        Try

            Me.Owner.Enabled = True
            Me.Owner.BringToFront()
            Me.Dispose()
        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub frmAguarde_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles Me.KeyDown

        Try

            If e.Control Then
                Select Case e.KeyCode

                End Select
            Else
                Select Case e.KeyCode
                    Case Keys.C
                        e.SuppressKeyPress = True
                        Me.Close()
                End Select
            End If

        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try
    End Sub

#End Region

#Region "Métodos"

    Public Sub New()

        Try

            ' Esta chamada é requerida pelo designer.
            InitializeComponent()

            ' Adicione qualquer inicialização após a chamada InitializeComponent().
            Me.lbMensagem.Text = "Aguarde! Processando..."

        Catch ex As Exception
            Exit Sub
        End Try

    End Sub

    Public Sub New(pMensagem As String)

        Try
            ' Esta chamada é requerida pelo designer.
            InitializeComponent()

            ' Adicione qualquer inicialização após a chamada InitializeComponent().
            Me.lbMensagem.Text = pMensagem

        Catch ex As Exception
            Exit Sub
        End Try

    End Sub

#End Region


End Class